Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface MutablePortalPersonalization

All Superinterfaces:
  MutablePersonalizedObject, PersonalizedObject, PersonalizedResource, PortalPersonalization, PortalResource, PortalScopedObject

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface MutablePortalPersonalization
extends PortalPersonalization, MutablePersonalizedObject

Interface `MutablePortalPersonalization` represents an editable personalization of a `Portal` for a given identity.In the same way that a `ProfileIdentity` can represent either a usergroup or a user within a usergroup, so a `MutablePortalPersonalization` can represent the mutable personalization of a `Portal` for either a usergroup or a user within a usergroup.

Note: Changes made to objects implementing this interface are only expected to change the local state of the object. To persist updates this object would have to be passed to an appropriate service, such as the `PortalManager` EJB.

Method Summary
`MutablePagePersonalization` | `getMutablePagePersonalization(PageIdentifier pageId)` Deprecated. Returns a `MutablePagePersonalization` object for the specified page and for the associated user.
`Iterator` | `getMutablePagePersonalizations()` Deprecated. Returns an `Iterator` over all the `MutablePagePersonalization` objects in this portal for the associated user.
`void` | `setHomePage(PageIdentifier homePage)` Deprecated. Specifies the page to use as a home page for this user or group.
`void` | `setLayout(LayoutDefinition layout)` Deprecated. Adds the specified `LayoutDefinition` to the set of layouts available for selection.
`void` | `setLayoutMap(Map layouts)` Deprecated.
`void` | `setLayouts(List layouts)` Deprecated. Specifies the global set of layouts available to be selected for this user or group, and their associated display names.
`void` | `setNavBarOrientation(int navBarOrientation)` Deprecated. Specifies the orientation of the navigation bar when the portal is rendered for this user or group.
`void` | `setPagePersonalization(PagePersonalization pageP13n)` Deprecated. Sets a `PagePersonalization` to be contained within this portal.
`void` | `setPagePersonalizationMap(HashMap pageP13ns)` Deprecated.
`void` | `setPagePersonalizations(List pageList)` Deprecated. Sets the complete set of `PagePersonalization`s to be contained in this portal.
`void` | `setSelectedSkin(SkinIdentifier skinId)` Deprecated. Specifies the skin to use as the selected skin for this user or group.
`void` | `setSkin(SkinDefinition skin)` Deprecated. Adds the specified `SkinDefinition` to the set of skins available for selection.
`void` | `setSkinMap(Map skins)` Deprecated.
`void` | `setSkins(List skins)` Deprecated. Specifies the set of skins available to be selected for this user or group, and their associated display names.

Methods inherited from interface com.bea.portal.model.PortalPersonalization
`getHomePage, getIdentifier, getLayout, getLayoutMap, getLayouts, getNavBarOrientation, getPagePersonalization, getPagePersonalizations, getSelectedSkin, getSkin, getSkinMap, getSkins`

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.PersonalizedObject
`getDisplayName, getProfileIdentity`

Methods inherited from interface com.bea.portal.model.MutablePersonalizedObject
`setDisplayName`

Method Detail

### getMutablePagePersonalization

    public MutablePagePersonalization getMutablePagePersonalization(PageIdentifier pageId)

  Deprecated.
  Returns a `MutablePagePersonalization` object for the specified page and for the associated user. If there is no existing such personalization for this user then a blank one is created, added to the list of contained personalizations, and returned.

  Returns:
    the page personalization for the specified page.

### getMutablePagePersonalizations

    public Iterator getMutablePagePersonalizations()

  Deprecated.
  Returns an `Iterator` over all the `MutablePagePersonalization` objects in this portal for the associated user.

  Returns:
    all the page personalizations in this portal .

### setHomePage

    public void setHomePage(PageIdentifier homePage)

  Deprecated.
  Specifies the page to use as a home page for this user or group.

  Parameters:
    `homePage` - a `PageIdentifier` specifying the home page to use for this identity.

### setLayout

    public void setLayout(LayoutDefinition layout)

  Deprecated.
  Adds the specified `LayoutDefinition` to the set of layouts available for selection.

  Parameters:
    `layout` - a `LayoutDefinition` to add to the available list.

### setLayoutMap

    public void setLayoutMap(Map layouts)

  Deprecated.

### setLayouts

    public void setLayouts(List layouts)

  Deprecated.
  Specifies the global set of layouts available to be selected for this user or group, and their associated display names. (Note: To be selected for a specific page a layout must also be available to that page.)

  Parameters:
    `layouts` - a `List` of `LayoutDefinition`s available for selection.

### setNavBarOrientation

    public void setNavBarOrientation(int navBarOrientation)

  Deprecated.
  Specifies the orientation of the navigation bar when the portal is rendered for this user or group. Valid values are: `Portal.NAVBAR_ORIENTATION_UNSPECIFIED` `Portal.NAVBAR_ORIENTATION_HORIZONTAL` `Portal.NAVBAR_ORIENTATION_VERTICAL`

  Parameters:
    `navBarOrientation` - the orientation of the navigation bar for this user.

### setPagePersonalization

    public void setPagePersonalization(PagePersonalization pageP13n)

  Deprecated.
  Sets a `PagePersonalization` to be contained within this portal. If this `PagePersonalization` already exists on this portal (identity being established by comparison of associated `Identifier` objects) then it is replaced, otherwise it is added.

### setPagePersonalizationMap

    public void setPagePersonalizationMap(HashMap pageP13ns)

  Deprecated.

### setPagePersonalizations

    public void setPagePersonalizations(List pageList)

  Deprecated.
  Sets the complete set of `PagePersonalization`s to be contained in this portal. Any existing `PagePersonalization` objects are removed.

  Parameters:
    `pageList` - the list of page personalizations to set.

### setSelectedSkin

    public void setSelectedSkin(SkinIdentifier skinId)

  Deprecated.
  Specifies the skin to use as the selected skin for this user or group.

  Parameters:
    `skinId` - a `SkinIdentifier` representing the skin to set for this identity.

### setSkin

    public void setSkin(SkinDefinition skin)

  Deprecated.
  Adds the specified `SkinDefinition` to the set of skins available for selection.

  Parameters:
    `skin` - a `SkinDefinition` to add to the available list.

### setSkinMap

    public void setSkinMap(Map skins)

  Deprecated.

### setSkins

    public void setSkins(List skins)

  Deprecated.
  Specifies the set of skins available to be selected for this user or group, and their associated display names.

  Parameters:
    `skins` - a `List` of `SkinDefinition`s available for selection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved